Package net.rubygrapefruit.platform.internal.jni

# Class PosixFileFunctions

java.lang.Object
net.rubygrapefruit.platform.internal.jni.PosixFileFunctions

public class PosixFileFunctions extends Object

## Constructor Summary

Constructors
Constructor
Description
`PosixFileFunctions()`

## Method Summary

Modifier and Type
Method
Description
`static void`
`chmod(String file, int perms, FunctionResult result)`
`static void`
`readdir(String file, boolean followLink, DirList stat, FunctionResult result)`
`static String`
`readlink(String file, FunctionResult result)`
`static void`
`stat(String file, boolean followLink, FileStat stat, FunctionResult result)`
`static void`
`symlink(String file, String content, FunctionResult result)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PosixFileFunctions

public PosixFileFunctions()

## Method Details

### chmod

public static void chmod(String file, int perms, FunctionResult result)

### stat

public static void stat(String file, boolean followLink, FileStat stat, FunctionResult result)

### readdir

public static void readdir(String file, boolean followLink, DirList stat, FunctionResult result)

### symlink

public static void symlink(String file, String content, FunctionResult result)

### readlink

public static String readlink(String file, FunctionResult result)